Bug 1176307 - Review Request: torrent-file-editor - Qt based GUI tool designed to create and edit .torrent files
Summary: Review Request: torrent-file-editor - Qt based GUI tool designed to create an...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-20 09:55 UTC by Ivan Romanov
Modified: 2015-06-01 17:06 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-01-12 23:59:03 UTC
projects.rg: fedora-review+
opensource: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Raphael Groner 2014-12-20 11:51:16 UTC
Hi Ivan,

there are some hints for your spec file. Please fix those, then I can continue with the review.

* Use macros whereever possible. Don't use a slash at the end of the URL. You can use just 'sf' as abbreviation 'sourceforge'.

- URL:            http://sourceforge.net/projects/torrent-file-editor/
+ URL:            http://sf.net/projects/%{name}

- Source0:        http://sourceforge.net/projects/%{name}/files/%{name}-%{version}.tar.gz
+ Source0:        %{url}/files/%{name}-%{version}.tar.gz


* MUST 'Require: hicolor-icon-theme' cause of the folder ownership.
https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#File_and_Directory_Ownership

> %files
> …
> %{_datadir}/icons/hicolor/*/apps/%{name}.png


* SHOULD tell us more about your package in %description. Consider to write about the features as mentioned so at the sourceforge page.

* SHOULD directly get the source tarball from github without using sourceforge
https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Github

* Additional question: Why do you not use Qt5 also in Fedora, like you do for the tree product? Fedora 21 has Qt5 packages.

Comment 2 Ivan Romanov 2014-12-20 13:00:29 UTC
(In reply to Raphael Groner from comment #1)
> Hi Ivan,
> 
> there are some hints for your spec file. Please fix those, then I can
> continue with the review.
> 
> * Use macros whereever possible. Don't use a slash at the end of the URL.
> You can use just 'sf' as abbreviation 'sourceforge'.
> 
> - URL:            http://sourceforge.net/projects/torrent-file-editor/
> + URL:            http://sf.net/projects/%{name}
Fixed.
> - Source0:       
> http://sourceforge.net/projects/%{name}/files/%{name}-%{version}.tar.gz
> + Source0:        %{url}/files/%{name}-%{version}.tar.gz
It's not correct. https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Sourceforge.net

> * MUST 'Require: hicolor-icon-theme' cause of the folder ownership.
> https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/
> Guidelines#File_and_Directory_Ownership
> 
> > %files
> > …
> > %{_datadir}/icons/hicolor/*/apps/%{name}.png
Fixed.

> * SHOULD tell us more about your package in %description. Consider to write
> about the features as mentioned so at the sourceforge page.
Fixed.
 
> * SHOULD directly get the source tarball from github without using
> sourceforge
> https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/
> SourceURL#Github
It's not correct. 
> If the upstream does create tarballs you should use them as tarballs provide an easier trail for people auditing the packages. 
In this case upstream creates tarballs. So I use them.

> * Additional question: Why do you not use Qt5 also in Fedora, like you do
> for the tree product? Fedora 21 has Qt5 packages.
Qt4 now is main. Qt5 only for development as I understand. Anyway Qt5 variant looks ugly. I don't want to use it. When Qt5 become stable I will transtition to it.


Spec URL: https://raw.githubusercontent.com/drizt/torrent-file-editor-package/717d16ebc342a77e0464cd795c8fba78691cf581/torrent-file-editor.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/8973/8448973/torrent-file-editor-0.1.0-1.fc22.src.rpm

Comment 4 Raphael Groner 2014-12-21 17:46:05 UTC
Issues:
=======

- delete some files in %prep section, they are obviously not needed for a Fedora package, licensecheck says:
Unknown or generated
--------------------
torrent-file-editor-0.1.0/.project.el
torrent-file-editor-0.1.0/build-nsis.sh
torrent-file-editor-0.1.0/build.sh
(also the MacOS* file(s) could be removed to not come in the way somehow)

- gtk-update-icon-cache is invoked in %postun and %posttrans if package
  contains icons.
  Note: icons in torrent-file-editor
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
===> use also the %posttrans section for gtk-update-icon-cache, is there any reason to not do here?

- update-desktop-database is invoked in %post and %postun if package contains
  desktop file(s) with a MimeType: entry.
  Note: desktop file(s) with MimeType entry in torrent-file-editor
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
  database


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "Unknown or generated". 3 files have unknown
     license. Detailed output of licensecheck in /home/build/fedora-
     review/1176307-torrent-file-editor/licensecheck.txt
===> Please remove those files without any license cause not needed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[?]: Sources contain only permissible code or content.
===> Where do you (as upstream) have all the icons from? Are those GPL'ed?
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Spec file according to URL is the same as in SRPM.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: torrent-file-editor-0.1.0-2.fc22.x86_64.rpm
          torrent-file-editor-0.1.0-2.fc22.src.rpm
torrent-file-editor.x86_64: W: spelling-error %description -l en_US codings -> coding, comings, copings
torrent-file-editor.x86_64: W: no-manual-page-for-binary torrent-file-editor
torrent-file-editor.src: W: spelling-error %description -l en_US codings -> coding, comings, copings
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

===> OK


Rpmlint (installed packages)
----------------------------
# rpmlint torrent-file-editor
torrent-file-editor.x86_64: W: spelling-error %description -l en_US codings -> coding, comings, copings
torrent-file-editor.x86_64: W: no-manual-page-for-binary torrent-file-editor
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'

===> OK


Requires
--------
torrent-file-editor (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libqjson.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
torrent-file-editor:
    application()
    application(torrent-file-editor.desktop)
    mimehandler(application/x-bittorrent)
    torrent-file-editor
    torrent-file-editor(x86-64)



Source checksums
----------------
http://downloads.sourceforge.net/torrent-file-editor/torrent-file-editor-0.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 250a4da24f110b27d7652feb7a10079917372bb4bd9b20886f561c0a2865a8f2
  CHECKSUM(SHA256) upstream package : 250a4da24f110b27d7652feb7a10079917372bb4bd9b20886f561c0a2865a8f2


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 --verbose -b 1176307
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Raphael Groner 2014-12-21 18:25:18 UTC
The torrentfileeditor.nsis file is also not needed for a Fedora package, so SHOULD be removed also.

Comment 6 Ivan Romanov 2014-12-21 20:41:32 UTC
(In reply to Raphael Groner from comment #5)
> The torrentfileeditor.nsis file is also not needed for a Fedora package, so
> SHOULD be removed also.

There is it in packaging guidlines? I couldn't find.

Comment 7 Ivan Romanov 2014-12-22 10:28:47 UTC
* Sun Dec 21 2014 Ivan Romanov <drizt@land.ru> - 0.1.0-3
- corrected updating icon cache
- added updating MIME type database

Spec URL: https://raw.githubusercontent.com/drizt/torrent-file-editor-package/4a02a5079cac69cbd32f2b9de743e6d5f3d71b46/torrent-file-editor.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/5518/8455518/torrent-file-editor-0.1.0-3.fc22.src.rpm

Comment 8 Raphael Groner 2014-12-29 21:29:58 UTC
APPROVED.

Sorry for the long delay.

Comment 9 Ivan Romanov 2014-12-30 00:09:45 UTC
New Package SCM Request
=======================
Package Name: torrent-file-editor
Short Description: Qt based GUI tool designed to create and edit .torrent files
Upstream URL: http://sf.net/projects/torrent-file-editor
Owners: ivanromanov
Branches: f20 f21 epel7
InitialCC:

Comment 10 Till Maas 2015-01-01 22:59:45 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2015-01-02 18:03:55 UTC
torrent-file-editor-0.1.0-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/torrent-file-editor-0.1.0-3.fc21

Comment 12 Fedora Update System 2015-01-02 18:05:55 UTC
torrent-file-editor-0.1.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/torrent-file-editor-0.1.0-3.fc20

Comment 13 Fedora Update System 2015-01-02 18:07:17 UTC
torrent-file-editor-0.1.0-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/torrent-file-editor-0.1.0-3.el7

Comment 14 Fedora Update System 2015-01-03 00:14:29 UTC
torrent-file-editor-0.1.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 15 Fedora Update System 2015-01-12 23:59:03 UTC
torrent-file-editor-0.1.0-3.fc21 has been pushed to the Fedora 21 stable repository.

Comment 16 Fedora Update System 2015-01-13 00:02:14 UTC
torrent-file-editor-0.1.0-3.fc20 has been pushed to the Fedora 20 stable repository.

Comment 17 Fedora Update System 2015-05-12 12:09:53 UTC
torrent-file-editor-0.2.0-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/torrent-file-editor-0.2.0-2.el7

Comment 18 Fedora Update System 2015-06-01 17:06:09 UTC
torrent-file-editor-0.2.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.